#include <stdio.h>

int same_set(int a[], int b[], int len) {
    int freq_a[101] = {0}; // 数组a中元素的频次
    int freq_b[101] = {0}; // 数组b中元素的频次
	int i;
    // 计算数组a和数组b中每个元素的频次
    for (i = 0; i < len; i++) {
        freq_a[a[i]]++;
        freq_b[b[i]]++;
    }

    // 检查元素频次是否相同
    for (i = 1; i <= 100; i++) {
        if (freq_a[i] != freq_b[i]) {
            return 0; // 如果有元素频次不相同，则返回0
        }
    }

    return 1; // 所有元素频次都相同，返回1
}

int main() {
    int len;
    int i;
    scanf("%d", &len); // 输入数组元素个数

    int a[len];
    int b[len];

    // 输入第一个数组元素
    for (i = 0; i < len; i++) {
        scanf("%d", &a[i]);
    }

    // 输入第二个数组元素
    for (i = 0; i < len; i++) {
        scanf("%d", &b[i]);
    }

    // 调用函数判断两个数组是否包含相同元素
    if (same_set(a, b, len) == 1) {
        printf("1\n");
    } else {
        printf("0\n");
    }

    return 0;
}
